Added MODPROBE_FLAGS variable.
--- a/NEWS Thu Feb 21 20:30:22 2008 +0000
+++ b/NEWS Fri Feb 22 11:04:49 2008 +0000
@@ -46,6 +46,9 @@
* Allow gaps in PDO mapping read from CoE.
* Fixed bug in CoE code.
* Improved handling of large EEPROM contents.
+* Renamed ec_master module parameters main and backup to main_devices and
+ backup_devices to avoid warnings of some compilers.
+* Added MODPROBE_FLAGS variable in start script and sysconfig file.
-------------------------------------------------------------------------------
--- a/script/init.d/ethercat Thu Feb 21 20:30:22 2008 +0000
+++ b/script/init.d/ethercat Fri Feb 22 11:04:49 2008 +0000
@@ -175,7 +175,8 @@
done
# load master module
- if ! ${MODPROBE} ec_master main_devices=${DEVICES} backup_devices=${BACKUPS}; then
+ if ! ${MODPROBE} ${MODPROBE_FLAGS} ec_master \
+ main_devices=${DEVICES} backup_devices=${BACKUPS}; then
exit_fail
fi
@@ -199,8 +200,8 @@
exit_fail
fi
fi
- if ! ${MODPROBE} ${ECMODULE}; then
- ${MODPROBE} ${MODULE} # try to restore module
+ if ! ${MODPROBE} ${MODPROBE_FLAGS} ${ECMODULE}; then
+ ${MODPROBE} ${MODPROBE_FLAGS} ${MODULE} # try to restore module
exit_fail
fi
done
@@ -229,7 +230,7 @@
# reload previous modules
for MODULE in ${DEVICE_MODULES}; do
- if ! ${MODPROBE} ${MODULE}; then
+ if ! ${MODPROBE} ${MODPROBE_FLAGS} ${MODULE}; then
echo Warning: Failed to restore ${MODULE}.
fi
done
--- a/script/sysconfig/ethercat Thu Feb 21 20:30:22 2008 +0000
+++ b/script/sysconfig/ethercat Fri Feb 22 11:04:49 2008 +0000
@@ -46,4 +46,12 @@
#
DEVICE_MODULES=""
+#
+# Flags for loading kernel modules.
+#
+# This can usually be left empty. Adjust this variable, if you have problems
+# with module loading.
+#
+#MODPROBE_FLAGS="-b"
+
#------------------------------------------------------------------------------